
From: Domen Puncer <domen@coderock.org>

The comment for msleep_interruptible() is wrong, as it will ignore
wait-queue events, but will wake up early for signals.

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/timer.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/timer.c~kernel-timer-fix-msleep_interruptible-comment kernel/timer.c
--- 25/kernel/timer.c~kernel-timer-fix-msleep_interruptible-comment	2005-04-07 18:34:31.000000000 -0700
+++ 25-akpm/kernel/timer.c	2005-04-07 18:34:31.000000000 -0700
@@ -1567,7 +1567,7 @@ void msleep(unsigned int msecs)
 EXPORT_SYMBOL(msleep);
 
 /**
- * msleep_interruptible - sleep waiting for waitqueue interruptions
+ * msleep_interruptible - sleep waiting for signals
  * @msecs: Time in milliseconds to sleep for
  */
 unsigned long msleep_interruptible(unsigned int msecs)
_
